export const getIsMac = async () => {
  // @ts-ignore
  const userAgentData = navigator.userAgentData;
  if (userAgentData) {
    const ua = await userAgentData.getHighEntropyValues(['platform']);
    console.log('ua', ua);
    if (ua.platform === 'macOS') {
      return true;
    }
  }
  return false;
};
export const getIsElectron = () => {
  // 检查 window.process 和 navigator.userAgent 中是否包含 Electron 信息
  return (
    // @ts-ignore
    (typeof window !== 'undefined' && typeof window.process !== 'undefined' && window.process.type === 'renderer') ||
    (typeof navigator === 'object' && typeof navigator.userAgent === 'string' && navigator.userAgent.indexOf('Electron') >= 0)
  );
};
